<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor/Parametrized.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor.Parametrized</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Processor.html" >Processor</a>
</div><div class="class-name">class Parametrized

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Processor.py.html" target="detail">../Synopsis/Processor.py</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line45" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Parametrized-inheritance" src="Parametrized-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Parametrized-inheritance_map" />
<map name="Parametrized-inheritance_map"><area alt="Scopes/Synopsis/Processor/Processor.html" href="Processor.html" shape="rect" coords="16, 81, 200, 105" />
</map>
 <div class="doc">Parametrized implements handling of Parameter attributes.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__metaclass__">__metaclass__</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line48" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parametrized.html#__new__" >__new__</a></span>(<span class="variable">cls</span>, <span class="keyword">*</span> <span class="variable">args</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.__new__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line50" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">merge all parameter catalogs for easy access to documentation&#44;
      then use keyword arguments to override default values.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parametrized.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line72" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The constructor uses the keywords to update the parameter list.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parametrized.html#clone" >clone</a></span>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="variable">args</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.clone" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line77" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a copy of this Parametrized.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_parameters">get_parameters</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.get_parameters" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line86" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parametrized.html#set_parameters" >set_parameters</a></span>(<span class="variable">self</span>, <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.set_parameters" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line90" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the given parameters to override the default values.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__new__">__new__</a>(<span class="variable">cls</span>, <span class="keyword">*</span> <span class="variable">args</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.__new__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line50" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">merge all parameter catalogs for easy access to documentation&#44;
      then use keyword arguments to override default values.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line72" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The constructor uses the keywords to update the parameter list.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="clone">clone</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="variable">args</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.clone" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line77" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a copy of this Parametrized.
      The only copied attributes are the ones corresponding to parameters.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="set_parameters">set_parameters</a>(<span class="variable">self</span>, <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Parametrized.set_parameters" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line90" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the given parameters to override the default values.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
